<?php

namespace Hrm\Job;

use DB;
use Illuminate\Database\Seeder;

class JobTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('jobs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'job.job.view',
                'name'      => 'View Job',
            ],
            [
                'slug'      => 'job.job.create',
                'name'      => 'Create Job',
            ],
            [
                'slug'      => 'job.job.edit',
                'name'      => 'Update Job',
            ],
            [
                'slug'      => 'job.job.delete',
                'name'      => 'Delete Job',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/job/job',
                'name'        => 'Job',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/job/job',
                'name'        => 'Job',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'job',
                'name'        => 'Job',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Job',
                'module'    => 'Job',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'job.job.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
